package com.css.simulation.resource.monitor.infra.mysql.mapper;

import com.css.simulation.resource.monitor.infra.mysql.entity.AlgorithmExpandEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AlgorithmExpandMapper {
    List<AlgorithmExpandEntity> select(AlgorithmExpandEntity algorithmExpandEntity);

    List<String> selectAlgorithmIds(AlgorithmExpandEntity algorithmExpandEntity);

    void insert(AlgorithmExpandEntity algorithmExpandEntity);

    void update(AlgorithmExpandEntity algorithmExpandEntity);

    void delete(AlgorithmExpandEntity build);
}
